QtplasmaC

More
18 May 2022 14:35 #243273 by Marçal
QtplasmaC was created by Marçal
I have a 3 axis-machine with a mesa 5i25+7i77+7i78. We also have a Hypertherm Powermax45. We bought two THCAD5 one for the THC and the other one for ohmic sensing. I have two issues. One the one hand, I tried to use PlasmaC and it does not work. I am a beginner in electronics so, I might be asking something stupid, sorry about that. I'd like to know if have to update the firmware to use the THCAD5? Moreover, I found out that I should use QtPlamaC instead of PlasmaC. Nonetheless, I am not sure how to install it, I could only find how to update it by writing this on the terminal:
sudo apt update
sudo apt dist-upgrade

Nonetheless, I still cannot find the QtPlasmaC in the PNCconf wizard.
Thank you in advance!

Please Log in or Create an account to join the conversation.

More
18 May 2022 14:49 - 18 May 2022 14:50 #243274 by snowgoer540
Replied by snowgoer540 on topic QtplasmaC
You may find this to be helpful:

forum.linuxcnc.org/9-installing-linuxcnc...red-toward-new-users

It uses QtPlasmaC as the end goal GUI.  Myriad of ways to “get there”, of course this is only one. 
Last edit: 18 May 2022 14:50 by snowgoer540.

Please Log in or Create an account to join the conversation.

More
19 May 2022 10:02 #243329 by Marçal
Replied by Marçal on topic QtplasmaC
Thank you very much for the guide! If I already have Linux and LinuxCNC installed, can I just start from the step 7? Or I have to reinstall Linux and LinuxCNC to be able to use QtplasmaC? Now I am using debian GNU/Linux 9 and my LinuxCNC version is 2.8.2

Please Log in or Create an account to join the conversation.

More
19 May 2022 10:42 - 19 May 2022 17:44 #243331 by snowgoer540
Replied by snowgoer540 on topic QtplasmaC
You could try pointing the to the buster repos in the package manager instead of whatever it points to now.

You need to be on LinuxCNC version 2.9 to use QtPlasmaC.  So long as you can fulfill the dependency requirements then I don't see why Debian 9 would be an issue.  
Last edit: 19 May 2022 17:44 by snowgoer540.

Please Log in or Create an account to join the conversation.

More
19 May 2022 14:22 #243344 by Marçal
Replied by Marçal on topic QtplasmaC
First of all, thank you very much. I might need to create a new thread for this, not sure.
I wondered how can I use the QtplasmaC because my program does not work. However, I believe I might have a different problem. I have not upgraded yet my LinuxCNC. If it is needed to run the program I'll delete my current version and follow Snowgoer steps to install the 2.9 version. I have one Mesa THCAD5 card for the THC wired on the encoder 3 A of the mesa 7i77 and another THCAD5 for ohmic sensing wired to the encoder 4 B.When I run the program the attached error message pops up. I have also attached the ini and hal files. May you help me find the problem, please?
Attachments:

Please Log in or Create an account to join the conversation.

More
19 May 2022 16:26 #243348 by PCW
Replied by PCW on topic QtplasmaC
Missing sserial I/O usually indicates a power problem

Does the 7I77 have both 5V and field power connected?

Please Log in or Create an account to join the conversation.

More
20 May 2022 09:36 #243400 by Marçal
Replied by Marçal on topic QtplasmaC
I think so.

The red LED from 7i77 circuitboard is turned on which means according to the manual that there is a field I/O fault. However, when I use the 3 axis configuration, without the THCADs it turns green and works well. In both THCAD the CR2 led blinks and the CR5 led glows steadily. Nevertheless, the CR5 led is not green but yellow.

Do you think it is a coding problem, a wiring one, or can be both?

Please Log in or Create an account to join the conversation.

More
25 May 2022 15:03 - 25 May 2022 15:26 #243800 by Marçal
Replied by Marçal on topic QtplasmaC
I am still stuck with this. Since I cannot make the program work with Plasmac, I would like to update to LinuxCNC 2.9 to use QtPlasmaC. As I mentioned, I have Debian 9 stretch. I believe that the master branch is only available with Buster, so I'll try to install MX Linux following snowgoer steps.
Last edit: 25 May 2022 15:26 by Marçal. Reason: I do not have that question anymore

Please Log in or Create an account to join the conversation.

More
03 Jun 2022 12:52 #244517 by Marçal
Replied by Marçal on topic QtplasmaC
Just to give you feedback. I managed to install linux 2.9 with QtPlasmaC following snow guide. Thank you for that!
First I downloaded the last version of MX and it does not work with it. It has to be 19.4 like it is said on the slides.

Please Log in or Create an account to join the conversation.

More
03 Jun 2022 12:54 #244518 by snowgoer540
Replied by snowgoer540 on topic QtplasmaC

Just to give you feedback. I managed to install linux 2.9 with QtPlasmaC following snow guide. Thank you for that!
First I downloaded the last version of MX and it does not work with it. It has to be 19.4 like it is said on the slides.


Glad to hear you got it going!

Please Log in or Create an account to join the conversation.

Moderators: snowgoer540
Time to create page: 0.185 seconds
Powered by Kunena Forum